Bug 228984 - games/wesnoth: Update to 1.14.3
Summary: games/wesnoth: Update to 1.14.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-13 12:54 UTC by Maik Fischer
Modified: 2018-07-25 07:37 UTC (History)
1 user (show)

See Also:


Attachments
unified svn diff (7.47 KB, patch)
2018-06-13 12:54 UTC, Maik Fischer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maik Fischer 2018-06-13 12:54:56 UTC
Created attachment 194223 [details]
unified svn diff

Maintainer tz dropped wesnoth, but left me with a private diff I applied and modified, removing ^M and using source 1.14.3.
Additionally 2 Patches are resolving missing time_t datastructures.
Comment 1 Dima Panov freebsd_committer 2018-07-16 05:24:33 UTC
grab
Comment 2 commit-hook freebsd_committer 2018-07-25 03:44:56 UTC
A commit references this bug:

Author: fluffy
Date: Wed Jul 25 03:43:56 UTC 2018
New revision: 475295
URL: https://svnweb.freebsd.org/changeset/ports/475295

Log:
  - Update Battle of Wesnoth to 1.14.3 release

  PR:		228984 (based on)
  Submitted by:	Maik Fischer

Changes:
  head/games/wesnoth/Makefile
  head/games/wesnoth/distinfo
  head/games/wesnoth/files/patch-src_game__initialization_lobby__data.hpp
  head/games/wesnoth/files/patch-src_replay.hpp
  head/games/wesnoth/files/patch-src_tests_test__util.cpp
  head/games/wesnoth/pkg-plist
Comment 3 Dima Panov freebsd_committer 2018-07-25 07:13:07 UTC
Committed with modification, thanks!
Comment 4 Maik Fischer 2018-07-25 07:37:22 UTC
I just built it from the ports and played, works fine!